<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>homepage</title>
      {% load static %}

    <!-- Bootstrap core CSS -->
      <link href="{% static '/info/homepage/vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">


    <!-- Custom styles for this template -->
      <link href="{% static '/info/homepage/css/heroic-features.css' %}" rel="stylesheet">
          <link href="{% static '/info/bootstrap/vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">



  </head>

  <body>

    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
      <div class="container">
          <a class="navbar-brand" href="{% url 'index' %}">D2D Attendance System</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item">
                <a class="nav-link text-capitalize">{{ request.user.student.name }}</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#" data-toggle="modal" data-target="#logoutModal">Logout</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>

    <!-- Page Content -->
    <div class="container">

      <!-- Jumbotron Header -->
      <header class="jumbotron my-4">
        <h1 class="display-3 text-capitalize">Welcome {{ request.user.student.name }}</h1>
{#        <p class="lead">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa, ipsam, eligendi, in quo sunt possimus non incidunt odit vero aliquid similique quaerat nam nobis illo aspernatur vitae fugiat numquam repellat.</p>#}
{#        <a href="#" class="btn btn-primary btn-lg">Call to action!</a>#}
      </header>

      <!-- Page Features -->
      <div class="row text-center">

        <div class="col-lg-3 col-md-6 mb-4">
          <div class="card">
              <a href="{% url 'attendance' request.user.student.USN %}">
                <img class="card-img-top" src="{% static 'info/images/attendance2.jpg' %}" alt="">
              </a>
              <div class="card-body">
              <h4 class="card-title">Attendance</h4>
              <p class="card-text">View the attendance status for each of your courses. The attendance of each course is
                  also displayed as list of classes that were conducted.</p>
            </div>
            <div class="card-footer">
                <a class="btn btn-primary" role="button" href="{% url 'attendance' request.user.student.USN %}"> View Attendance</a>
            </div>
          </div>
        </div>

        <div class="col-lg-3 col-md-6 mb-4">
          <div class="card">
              <a href="{% url 'marks_list' request.user.student.USN %}">
                <img class="card-img-top" src="{% static 'info/images/marks.jpg' %}" alt="">
              </a>
              <div class="card-body">
              <h4 class="card-title">Marks</h4>
              <p class="card-text">View the marks obtained for each of your courses. These include the marks of 3
                  internal assessment, 2 events and the Semester End Exam  </p>
            </div>
            <div class="card-footer">
                <a class="btn btn-primary" role="button" href="{% url 'marks_list' request.user.student.USN %}">View Marks</a>
            </div>
          </div>
        </div>

        <div class="col-lg-3 col-md-6 mb-4">
          <div class="card">
              <a href="{% url 'timetable' request.user.student.class_id_id %}">
                <img class="card-img-top" src="{% static 'info/images/timetable.png' %}" alt="">
              </a>
              <div class="card-body">
              <h4 class="card-title">TimeTable</h4>
              <p class="card-text">View the timetable in a tabular form. The timetable displays all the courses of the
                  student and the time and day at which they are conducted.</p>
            </div>
            <div class="card-footer">
                <a class="btn btn-primary" role="button" href="{% url 'timetable' request.user.student.class_id_id %}">View TimeTable</a>
            </div>
          </div>
        </div>


      </div>
      <!-- /.row -->

    </div>
    <!-- /.container -->
    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" href="/accounts/logout">Logout</a>
          </div>
        </div>
      </div>
    </div>

    <!-- Bootstrap core JavaScript -->


      <script src="{% static '/info/homepage/vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static '/info/homepage/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

  </body>

</html>
